Index: kernel.sgml
===================================================================
--- kernel.sgml	(revision 7646)
+++ kernel.sgml	(working copy)
@@ -11,7 +11,7 @@
 most recent <em>stable</em> releases of the <strong>kernel</strong> headers.
 If you happen to need to compile a program with kernel headers newer than
 the ones from the stable branch, then you should either upgrade the package
-containing the headers (<package/libc6-dev/), or use the new headers from an
+containing the headers (<package/linux-libc-dev/), or use the new headers from an
 unpacked tree of the newer kernel. That is, if the kernel sources are in
 <file>/usr/src/linux</file>, then you should add 
 <tt>-I/usr/src/linux/include/</tt> to your command line when compiling.
@@ -20,15 +20,9 @@
   kernels?
 
 <p>Users who wish to (or must) build a custom kernel are encouraged to
-download the package <package/kernel-package/.  This package contains
-the script to build the kernel package, and provides the capability to
-create a Debian <package>linux-image-<var>version</var></package>
-package just by running the command
-  <example>make-kpkg --initrd kernel_image</example>
-in the top-level kernel source directory.
-Help is available by executing the command
-  <example>make-kpkg --help</example>
-and through the manual page <manref name="make-kpkg" section="1">.
+use the Debian package target included with recent versions of the kernel build system. After configuring the kernel, simply run the following command:
+  <example>make deb-pkg</example>
+The new kernel package will be created in the directory one level above the kernel source tree, and it may be installed using <tt>dpkg -i</tt>.
 
 <p>Users must separately download the source code for the most recent
 kernel (or the kernel of their choice) from their favorite Linux archive
@@ -36,41 +30,13 @@
 is available (where <var>version</var>
 stands for the kernel version).
 
-<p>Detailed instructions for using the <package/kernel-package/ package
-are given in the file <file>/usr/share/doc/kernel-package/README.gz</file>.
 
-<sect id="custombootdisk">How can I make a custom boot floppy?
-
-<p>This task is greatly aided by the Debian package <package/boot-floppies/,
-normally found in the <tt>admin</tt> section of the Debian FTP archive.
-Shell scripts in this package produce boot floppies in the <tt>SYSLINUX</tt>
-format.  These are <tt>MS-DOS</tt> formatted floppies whose master boot
-records have been altered so that they boot Linux directly (or whatever
-other operating system has been defined in the <file>syslinux.cfg</file> file on the
-floppy). Other scripts in this package produce emergency root disks and
-can even reproduce the base disks.
-
-<p>You will find more information about this in the
-<file>/usr/share/doc/boot-floppies/README</file> file after installing the
-<package/boot-floppies/ package.
-
 <sect id="modules">What special provisions does Debian provide to deal with
   modules?
 
-<p>Debian's <package/modconf/ package provides a shell script
-(<file>/usr/sbin/modconf</file>) which can be used to customize the
-configuration of modules.  This script presents a menu-based interface,
-prompting the user for particulars on the loadable device drivers
-in his system.  The responses are used to customize the file
-<file>/etc/modules.conf</file> (which lists aliases, and other arguments that
-must be used in conjunction with various modules) through files in
-<file>/etc/modutils/</file>, and <file>/etc/modules</file> (which lists the
-modules that must be loaded at boot time).
+<p>A configuration file containing modules to be manually loaded at boot time is kept at <file>/etc/modules</file>. However, editing this file is rarely needed. 
 
-<p>Like the (new) <file>Configure.help</file> files that are now available to support
-the construction of custom kernels, the <package>modconf</package> package comes with a
-series of help files (in <file>/usr/lib/modules_help/</file>) which provide
-detailed information on appropriate arguments for each of the modules.
+<p>Other module configuration is kept in the <file>/etc/modprobe.d/</file> directory. More information about the format of those files can be found in the <manref name="modprobe.conf" section="5"> manual page.
 
 <sect id="removeoldkernel">Can I safely de-install an old kernel package,
   and if so, how?
@@ -83,3 +49,7 @@
 <example>dpkg --purge linux-image-<var>NNN</var></example>
 
 (replace <var>NNN</var> with your kernel version and revision number, of course)
+
+<sect id="moreinfo">Where can I get more information about Linux packages for Debian?
+
+<p>Further information is maintained in the <url name="Debian Linux Kernel Handbook" id="http://kernel-handbook.alioth.debian.org/">.
